"use strict";

const { validateValue } = require("@validatem/core");
const isBuffer = require("./");

console.log(validateValue(Buffer.from("hello world"), [ isBuffer ])); // <Buffer 68 65 6c 6c 6f 20 77 6f 72 6c 64>

console.log(validateValue("hello world", [ isBuffer ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be a Buffer object
*/
